Add a customer
POST /obp/v7.0.0/banks/BANK_ID/customer
OBPv1.4.0-addCustomer Roles: CanCreateCustomer(per bank),CanCreateUserCustomerLink(per bank) CustomerOld-Style
Add a customer linked to the currently authenticated user. The Customer resource stores the customer number, legal name, email, phone number, their date of birth, relationship status, education attained, a url for a profile image, KYC status etc. This call may require additional permissions/role in the future. For now the authenticated user can create at most one linked customer. Dates need to be in the format 2013-01-21T23:08:00Z User Authentication is Required. The User must be logged in. The Application must also be authenticated. Note: This call is depreciated in favour of v.2.0.0 createCustomer
URL Parameters:
BANK_ID: gh.29.uk
JSON request body fields (19)
- branchId
- branchId
- customer_number
- 5987953
- date
- 2020-01-27
- date_of_birth
- 2018-03-09
- dependants
- 1
- dob_of_dependants
- [2019-09-08, 2017-07-12]
- felixsmith@example.com
- employment_status
- worker
- face_image
- highest_education_attained
- Master
- kyc_status
- false
- last_ok_date
- 2025-10-21T01:45:31.340Z
- legal_name
- Eveline Tripman
- mobile_phone_number
- +49 30 901820
- nameSuffix
- nameSuffix
- relationship_status
- single
- title
- Dr.
- url
- http://www.example.com/id-docs/123/image.png
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
JSON response body fields (16)
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_number
- 5987953
- date
- 2020-01-27
- date_of_birth
- 2018-03-09
- dependants
- 1
- dob_of_dependants
- [2019-09-08, 2017-07-12]
- felixsmith@example.com
- employment_status
- worker
- face_image
- highest_education_attained
- Master
- kyc_status
- false
- last_ok_date
- 2025-10-21T01:45:31.340Z
- legal_name
- Eveline Tripman
- mobile_phone_number
- +49 30 901820
- relationship_status
- single
- url
- http://www.example.com/id-docs/123/image.png
Example request body
{
"title": "Dr.",
"branchId": "DERBY6",
"nameSuffix": "Sr",
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"customer_number": "5987953",
"legal_name": "Eveline Tripman",
"mobile_phone_number": "+44 07972 444 876",
"email": "felixsmith@example.com",
"face_image": {
"url": "www.openbankproject",
"date": "1100-01-01T00:00:00Z"
},
"date_of_birth": "1100-01-01T00:00:00Z",
"relationship_status": "single",
"dependants": 1,
"dob_of_dependants": [
"1100-01-01T00:00:00Z"
],
"highest_education_attained": "Master",
"employment_status": "worker",
"kyc_status": false,
"last_ok_date": "2025-10-21T01:45:43Z"
}Example success response
{
"customer_id": "String",
"customer_number": "5987953",
"legal_name": "Eveline Tripman",
"mobile_phone_number": "+44 07972 444 876",
"email": "felixsmith@example.com",
"face_image": {
"url": "www.openbankproject",
"date": "1100-01-01T00:00:00Z"
},
"date_of_birth": "1100-01-01T00:00:00Z",
"relationship_status": "single",
"dependants": 1,
"dob_of_dependants": [
"1100-01-01T00:00:00Z"
],
"highest_education_attained": "Master",
"employment_status": "worker",
"kyc_status": false,
"last_ok_date": "2025-10-21T01:45:43Z"
}Possible errors (12)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-10001: Incorrect json format.
- entitlements required
- OBP-30006: Customer Number already exists. Please specify a different value for BANK_ID or CUSTOMER_NUMBER.
- Problem getting user_id
- OBP-20005: User not found. Please specify a valid value for USER_ID.
- OBP-30107: Invalid User Id.
- Could not create customer
- Could not create user_customer_links
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: